/*
 * usb.c
 *
 *  Created on: 24.01.2015
 *      Author: daniel
 */


#include "usb_conf.h"
#include "usb_hcd_int.h"
#include "usbh_usr.h"
#include "usbh_core.h"
#include "usbh_msc_core.h"

extern volatile int enum_done;
extern USB_OTG_CORE_HANDLE		USB_OTG_Core;
extern USBH_HOST				USB_Host;


void usb_init() {
	// Initialize USB Host Library
	USBH_Init(&USB_OTG_Core, USB_OTG_FS_CORE_ID, &USB_Host, &USBH_MSC_cb, &USR_Callbacks);

}

void usb_update() {
	USBH_Process(&USB_OTG_Core, &USB_Host);
}

int usbEnumDone() {
	return (enum_done);
}

void usbResetEnumDone() {
	enum_done=0;
}


int usbStickRemoved() {

	return (USB_OTG_Core.host.port_cb->DisconnStatus==1);
}
